--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_001_pos.ksh	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_001_pos.ksh	Wed Aug 31 16:20:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/cli_common.kshlib
@@ -51,21 +51,21 @@
 {
 	for snap in $init_snap $inc_snap $rst_snap $rst_inc_snap; do
                 snapexists $snap && \
-                        log_must $ZFS destroy -f $snap
+                        log_must zfs destroy -f $snap
         done
 
 	datasetexists $rst_root && \
-		log_must $ZFS destroy -Rf $rst_root
+		log_must zfs destroy -Rf $rst_root
 
 	for file in $full_bkup $inc_bkup \
 			$init_data $inc_data
 	do
 		[[ -e $file ]] && \
-			log_must $RM -f $file
+			log_must rm -f $file
 	done
 
 	[[ -d $TESTDIR1 ]] && \
-		log_must $RM -rf $TESTDIR1
+		log_must rm -rf $TESTDIR1
 
 }
 
@@ -90,37 +90,37 @@
 log_note "Verify 'zfs send' can create full send stream."
 
 #Pre-paration
-log_must $ZFS create $rst_root
+log_must zfs create $rst_root
 [[ ! -d $TESTDIR1 ]] && \
-	log_must $MKDIR -p $TESTDIR1
-log_must $ZFS set mountpoint=$TESTDIR1 $rst_root
+	log_must mkdir -p $TESTDIR1
+log_must zfs set mountpoint=$TESTDIR1 $rst_root
 
-$FILE_WRITE -o create -f $init_data -b $BLOCK_SIZE -c $WRITE_COUNT
+file_write -o create -f $init_data -b $BLOCK_SIZE -c $WRITE_COUNT
 
-log_must $ZFS snapshot $init_snap
-$ZFS send $init_snap > $full_bkup
+log_must zfs snapshot $init_snap
+zfs send $init_snap > $full_bkup
 (( $? != 0 )) && \
-	log_fail "'$ZFS send' fails to create full send"
+	log_fail "'zfs send' fails to create full send"
 
 log_note "Verify the send stream is valid to receive."
 
-log_must $ZFS receive $rst_snap <$full_bkup
+log_must zfs receive $rst_snap <$full_bkup
 receive_check $rst_snap ${rst_snap%%@*}
 compare_cksum $init_data $rst_data
 
 log_note "Verify 'zfs send -i' can create incremental send stream."
 
-$FILE_WRITE -o create -f $inc_data -b $BLOCK_SIZE -c $WRITE_COUNT -d 0
+file_write -o create -f $inc_data -b $BLOCK_SIZE -c $WRITE_COUNT -d 0
 
-log_must $ZFS snapshot $inc_snap
-$ZFS send -i $init_snap $inc_snap > $inc_bkup
+log_must zfs snapshot $inc_snap
+zfs send -i $init_snap $inc_snap > $inc_bkup
 (( $? != 0 )) && \
-	log_fail "'$ZFS send -i' fails to create incremental send"
+	log_fail "'zfs send -i' fails to create incremental send"
 
 log_note "Verify the incremental send stream is valid to receive."
 
-log_must $ZFS rollback $rst_snap
-log_must $ZFS receive $rst_inc_snap <$inc_bkup
+log_must zfs rollback $rst_snap
+log_must zfs receive $rst_inc_snap <$inc_bkup
 receive_check $rst_inc_snap
 compare_cksum $inc_data $rst_inc_data
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_002_pos.ksh	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_002_pos.ksh	Wed Aug 31 16:20:42 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/cli_root/cli_common.kshlib
@@ -49,16 +49,16 @@
 function cleanup
 {
 	snapexists $snap && \
-		log_must $ZFS destroy $snap
+		log_must zfs destroy $snap
 
 	datasetexists $ctr && \
-		log_must $ZFS destroy -r $ctr
+		log_must zfs destroy -r $ctr
 
 	[[ -e $origfile ]] && \
-		log_must $RM -f $origfile
+		log_must rm -f $origfile
 
 	[[ -e $stream ]] && \
-		log_must $RM -f $stream
+		log_must rm -f $stream
 }
 
 function do_testing # <prop> <prop_value>
@@ -66,21 +66,21 @@
 	typeset property=$1
 	typeset prop_val=$2
 
-	log_must $ZFS set $property=$prop_val $fs
-	$FILE_WRITE -o create -f $origfile -b $BLOCK_SIZE -c $WRITE_COUNT
-	log_must $ZFS snapshot $snap
-	$ZFS send $snap > $stream
+	log_must zfs set $property=$prop_val $fs
+	file_write -o create -f $origfile -b $BLOCK_SIZE -c $WRITE_COUNT
+	log_must zfs snapshot $snap
+	zfs send $snap > $stream
 	(( $? != 0 )) && \
-		log_fail "'$ZFS send' fails to create send streams."
-	$ZFS receive -d $ctr <$stream
+		log_fail "'zfs send' fails to create send streams."
+	zfs receive -d $ctr <$stream
 	(( $? != 0 )) && \
-		log_fail "'$ZFS receive' fails to receive send streams."
+		log_fail "'zfs receive' fails to receive send streams."
 
 	#verify receive result
 	! datasetexists $rstfs && \
-		log_fail "'$ZFS receive' fails to restore $rstfs"
+		log_fail "'zfs receive' fails to restore $rstfs"
 	! snapexists $rstfssnap && \
-		log_fail "'$ZFS receive' fails to restore $rstfssnap"
+		log_fail "'zfs receive' fails to restore $rstfssnap"
 	if [[ ! -e $rstfile ]] || [[ ! -e $rstsnapfile ]]; then
 		log_fail " Data lost after receiving stream"
 	fi
@@ -89,13 +89,13 @@
 	compare_cksum $origsnapfile $rstsnapfile
 
 	#Destroy datasets and stream for next testing
-	log_must $ZFS destroy $snap
+	log_must zfs destroy $snap
 	if is_global_zone ; then
-		log_must $ZFS destroy -r $rstfs
+		log_must zfs destroy -r $rstfs
 	else
-		log_must $ZFS destroy -r $ds_path
+		log_must zfs destroy -r $ds_path
 	fi
-	log_must $RM -f $stream
+	log_must rm -f $stream
 }
 
 log_assert "Verify 'zfs send' generates valid streams with a property setup"
@@ -123,7 +123,7 @@
 	"512 1k 4k 8k 16k 32k 64k 128k"
 
 #Create a dataset to receive the send stream
-log_must $ZFS create $ctr
+log_must zfs create $ctr
 
 typeset -i i=0
 while (( i < ${#props[*]} ))
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_003_pos.ksh	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_003_pos.ksh	Wed Aug 31 16:20:42 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -40,8 +44,8 @@
 
 function cleanup
 {
-	datasetexists $snap1 && log_must $ZFS destroy $snap1
-	datasetexists $snap2 && log_must $ZFS destroy $snap2
+	datasetexists $snap1 && log_must zfs destroy $snap1
+	datasetexists $snap2 && log_must zfs destroy $snap2
 }
 
 log_assert "'zfs send -i' can deal with abbreviated snapshot name."
@@ -52,12 +56,12 @@
 set -A args "$snap1 $snap2" \
 	"${snap1##*@} $snap2" "@${snap1##*@} $snap2"
 
-log_must $ZFS snapshot $snap1
-log_must $ZFS snapshot $snap2
+log_must zfs snapshot $snap1
+log_must zfs snapshot $snap2
 
 typeset -i i=0
 while (( i < ${#args[*]} )); do
-	log_must eval "$ZFS send -i ${args[i]} > /dev/null"
+	log_must eval "zfs send -i ${args[i]} > /dev/null"
 
 	(( i += 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_004_neg.ksh	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_004_neg.ksh	Wed Aug 31 16:20:42 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/cli_common.kshlib
 
 #
@@ -45,12 +49,12 @@
 
 	for snap in $snap1 $snap2 $snap3; do
 		snapexists $snap && \
-			log_must $ZFS destroy -f $snap
+			log_must zfs destroy -f $snap
 	done
 
 	for f in $tmpfile1 $tmpfile2; do
 		if [[ -e $f ]]; then
-			$RM -f $f
+			rm -f $f
 		fi
 	done
 }
@@ -81,18 +85,18 @@
 log_assert "Verify that invalid parameters to 'zfs send' are caught."
 log_onexit cleanup
 
-log_must $ZFS snapshot $snap1
+log_must zfs snapshot $snap1
 tmpfile1=$TESTDIR/testfile1.$$
-log_must $TOUCH $tmpfile1
-log_must $ZFS snapshot $snap2
+log_must touch $tmpfile1
+log_must zfs snapshot $snap2
 tmpfile2=$TESTDIR/testfile2.$$
-log_must $TOUCH $tmpfile2
-log_must $ZFS snapshot $snap3
+log_must touch $tmpfile2
+log_must zfs snapshot $snap3
 
 typeset -i i=0
 while (( i < ${#badargs[*]} ))
 do
-	log_mustnot eval "$ZFS send ${badargs[i]} >/dev/null"
+	log_mustnot eval "zfs send ${badargs[i]} >/dev/null"
 
 	(( i = i + 1 ))
 done
@@ -99,7 +103,7 @@
 
 #Testing zfs send fails by send backup stream to terminal
 for arg in "$snap1" "-i $snap1 $snap2"; do
-	log_mustnot eval "$ZFS send $arg >/dev/console"
+	log_mustnot eval "zfs send $arg >/dev/console"
 done
 
 log_pass "Invalid parameters to 'zfs send' are caught as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_005_pos.ksh	Wed Aug 31 16:20:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_005_pos.ksh	Wed Aug 31 16:20:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,21 +46,21 @@
 
 function cleanup
 {
-	poolexists $TESTPOOL && log_must $ZPOOL export $TESTPOOL
-	log_must $ZPOOL import $TESTPOOL
+	poolexists $TESTPOOL && log_must zpool export $TESTPOOL
+	log_must zpool import $TESTPOOL
 
 	datasetexists $TESTPOOL@snap && \
-	    log_must $ZFS destroy -r $TESTPOOL@snap
+	    log_must zfs destroy -r $TESTPOOL@snap
 }
 
 log_assert "'zfs send -R' can send from read-only pools"
 log_onexit cleanup
 
-log_must $ZFS snapshot -r $TESTPOOL@snap
+log_must zfs snapshot -r $TESTPOOL@snap
 
-log_must $ZPOOL export $TESTPOOL
-log_must $ZPOOL import -o readonly=on $TESTPOOL
+log_must zpool export $TESTPOOL
+log_must zpool import -o readonly=on $TESTPOOL
 
-log_must eval "$ZFS send -R $TESTPOOL@snap >/dev/null"
+log_must eval "zfs send -R $TESTPOOL@snap >/dev/null"
 
 log_pass "'zfs send -R' can send from read-only pools"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_006_pos.ksh	Wed Aug 31 16:20:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_006_pos.ksh	Wed Aug 31 16:20:43 2016
@@ -15,7 +15,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -37,7 +37,7 @@
 function cleanup
 {
 	for ds in $datasets; do
-                datasetexists $ds && $ZFS destroy -rf $ds
+                datasetexists $ds && zfs destroy -rf $ds
 	done
 }
 
@@ -44,8 +44,8 @@
 function cal_percentage
 {
 	typeset value=$1
-	return=$($ECHO "$PERCENT * $value" | bc)
-	return=$($ECHO "$return / 100" | bc)
+	return=$(echo "$PERCENT * $value" | bc)
+	return=$(echo "$return / 100" | bc)
 	echo $return
 }
 
@@ -55,19 +55,19 @@
 	typeset option=$2
 	typeset base_snapshot=${3:-""}
 	if [[ -z $3 ]];then
-		typeset total_size=$($ZFS send $option $snapshot 2>&1 | $TAIL -1)
+		typeset total_size=$(zfs send $option $snapshot 2>&1 | tail -1)
 	else
-		typeset total_size=$($ZFS send $option $base_snapshot $snapshot \
-		     2>&1 | $TAIL -1)
+		typeset total_size=$(zfs send $option $base_snapshot $snapshot \
+		     2>&1 | tail -1)
 	fi
 	if [[ $options == *"P"* ]]; then
-		total_size=$($ECHO "$total_size" | $AWK '{print $2}')
+		total_size=$(echo "$total_size" | awk '{print $2}')
 	else
-		total_size=$($ECHO "$total_size" | $AWK '{print $5}')
+		total_size=$(echo "$total_size" | awk '{print $5}')
 		total_size=${total_size%M}
-		total_size=$($ECHO "$total_size * $block_count" | bc)
+		total_size=$(echo "$total_size * $block_count" | bc)
 	fi
-	$ECHO $total_size
+	echo $total_size
 
 }
 
@@ -75,12 +75,12 @@
 {
 	typeset options=$1
 	typeset file_size=$2
-	typeset refer_diff=$($ECHO "$refer_size - $estimate_size" | bc)
-	refer_diff=$($ECHO "$refer_diff / 1" | bc)
-	refer_diff=$($ECHO "$refer_diff" | $NAWK '{print ($1 < 0) ? ($1 * -1): $1'})
-	typeset file_diff=$($ECHO "$file_size - $estimate_size" | bc)
-	file_diff=$($ECHO "$file_diff / 1" | bc)
-	file_diff=$($ECHO "$file_diff" | $NAWK '{print ($1 < 0) ? ($1 * -1):$1'})
+	typeset refer_diff=$(echo "$refer_size - $estimate_size" | bc)
+	refer_diff=$(echo "$refer_diff / 1" | bc)
+	refer_diff=$(echo "$refer_diff" | nawk '{print ($1 < 0) ? ($1 * -1): $1'})
+	typeset file_diff=$(echo "$file_size - $estimate_size" | bc)
+	file_diff=$(echo "$file_diff / 1" | bc)
+	file_diff=$(echo "$file_diff" | nawk '{print ($1 < 0) ? ($1 * -1):$1'})
 	typeset expected_diff=$(cal_percentage $refer_size)
 
 	[[ -z $refer_diff && -z $file_diff && -z $expected_diff ]] && \
@@ -99,21 +99,21 @@
 ((block_count=1024*1024))
 
 # create dataset
-log_must $ZFS create $TESTPOOL/$TESTFS1
+log_must zfs create $TESTPOOL/$TESTFS1
 
 # create multiple snapshot for the dataset with data
 for block_size in 64 128 256; do
-	log_must $DD if=/dev/urandom of=/$TESTPOOL/$TESTFS1/file$block_size \
+	log_must dd if=/dev/urandom of=/$TESTPOOL/$TESTFS1/file$block_size \
 	    bs=1M count=$block_size
-	log_must $ZFS snapshot $TESTPOOL/$TESTFS1@snap$block_size
+	log_must zfs snapshot $TESTPOOL/$TESTFS1@snap$block_size
 done
 
 full_snapshot="$TESTPOOL/$TESTFS1@snap64"
 increamental_snapshot="$TESTPOOL/$TESTFS1@snap256"
 
-full_size=$($ZFS send $full_snapshot 2>&1 | wc -c)
-increamental_size=$($ZFS send $increamental_snapshot 2>&1 | wc -c)
-increamental_send=$($ZFS send -i $full_snapshot $increamental_snapshot 2>&1 | wc -c)
+full_size=$(zfs send $full_snapshot 2>&1 | wc -c)
+increamental_size=$(zfs send $increamental_snapshot 2>&1 | wc -c)
+increamental_send=$(zfs send -i $full_snapshot $increamental_snapshot 2>&1 | wc -c)
 
 log_note "verify zfs send -nv"
 options="-nv"
@@ -144,7 +144,7 @@
 options="-nvi"
 refer_size=$(get_prop refer $increamental_snapshot)
 deduct_size=$(get_prop refer $full_snapshot)
-refer_size=$($ECHO "$refer_size - $deduct_size" | bc)
+refer_size=$(echo "$refer_size - $deduct_size" | bc)
 
 estimate_size=$(get_estimate_size $increamental_snapshot $options $full_snapshot)
 log_must verify_size_estimates $options $increamental_send
@@ -155,13 +155,13 @@
 estimate_size=$(get_estimate_size $increamental_snapshot $options $full_snapshot)
 log_must verify_size_estimates $options $increamental_send
 
-log_must $ZFS destroy -r $TESTPOOL/$TESTFS1
+log_must zfs destroy -r $TESTPOOL/$TESTFS1
 
 #setup_recursive_send
 datasets="$TESTPOOL/$TESTFS1 $TESTPOOL/$TESTFS1/$TESTFS2
     $TESTPOOL/$TESTFS1/$TESTFS2/$TESTFS3"
 # create nested datasets
-log_must $ZFS create -p $TESTPOOL/$TESTFS1/$TESTFS2/$TESTFS3
+log_must zfs create -p $TESTPOOL/$TESTFS1/$TESTFS2/$TESTFS3
 
 # verify dataset creation
 for ds in $datasets; do
@@ -168,20 +168,20 @@
         datasetexists $ds || log_fail "Create $ds dataset fail."
 done
 for ds in $datasets; do
-	log_must $DD if=/dev/urandom of=/$ds/file64 \
+	log_must dd if=/dev/urandom of=/$ds/file64 \
 	    bs=1M count=64
 done
 
 # create recursive nested snapshot
-log_must $ZFS snapshot -r $TESTPOOL/$TESTFS1@snap64
+log_must zfs snapshot -r $TESTPOOL/$TESTFS1@snap64
 for ds in $datasets; do
         datasetexists $ds@snap64 || log_fail "Create $ds@snap64 snapshot fail."
 done
-recursive_size=$($ZFS send -R $full_snapshot 2>&1 | wc -c)
+recursive_size=$(zfs send -R $full_snapshot 2>&1 | wc -c)
 log_note "verify zfs send -Rnv for recursive send"
 options="-Rnv"
 refer_size=$(get_prop refer $full_snapshot)
-refer_size=$($ECHO "$refer_size * 3" | bc)
+refer_size=$(echo "$refer_size * 3" | bc)
 
 estimate_size=$(get_estimate_size $full_snapshot $options)
 log_must verify_size_estimates $options $recursive_size
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_007_pos.ksh	Wed Aug 31 16:20:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_007_pos.ksh	Wed Aug 31 16:20:43 2016
@@ -38,11 +38,11 @@
 
 function cleanup
 {
-	$ZFS destroy -rf $TESTPOOL/fs
-	$ZFS destroy -rf $TESTPOOL/recvfs
-	$RM $streamfile
-	$RM $vdev
-	$ZPOOL destroy testpool
+	zfs destroy -rf $TESTPOOL/fs
+	zfs destroy -rf $TESTPOOL/recvfs
+	rm $streamfile
+	rm $vdev
+	zpool destroy testpool
 }
 
 
@@ -55,15 +55,15 @@
 test_pool ()
 {
 	POOL=$1
-	log_must $ZFS create -o recordsize=512 $POOL/fs
+	log_must zfs create -o recordsize=512 $POOL/fs
 	mntpnt=$(get_prop mountpoint "$POOL/fs")
-	log_must $DD if=/dev/urandom of=${mntpnt}/file bs=512 count=1 2>/dev/null
+	log_must dd if=/dev/urandom of=${mntpnt}/file bs=512 count=1 2>/dev/null
 	first_object=$(ls -i $mntpnt | awk '{print $1}')
-	log_must $ZFS snapshot $POOL/fs@a
+	log_must zfs snapshot $POOL/fs@a
 	while true; do
-		log_must $FIND $mntpnt -delete
+		log_must find $mntpnt -delete
 		sync
-		log_must $MKFILES "$mntpnt/" 4000
+		log_must mkfiles "$mntpnt/" 4000
 		FILE=$(ls -i $mntpnt | awk \
 			'{if ($1 == '$first_object') {print $2}}')
 		if [[ -n "$FILE" ]]; then
@@ -70,30 +70,30 @@
 			break
 		fi
 	done
-	$DD if=/dev/urandom of=${mntpnt}/$FILE bs=512 count=1 seek=1 2>/dev/null
+	dd if=/dev/urandom of=${mntpnt}/$FILE bs=512 count=1 seek=1 2>/dev/null
 
-	log_must $ZFS snapshot $POOL/fs@b
+	log_must zfs snapshot $POOL/fs@b
 
-	log_must eval "$ZFS send $POOL/fs@a > $streamfile"
-	$CAT $streamfile | log_must $ZFS receive $POOL/recvfs
+	log_must eval "zfs send $POOL/fs@a > $streamfile"
+	cat $streamfile | log_must zfs receive $POOL/recvfs
 
-	log_must eval "$ZFS send -i @a $POOL/fs@b > $streamfile"
-	$CAT $streamfile | log_must $ZFS receive $POOL/recvfs
+	log_must eval "zfs send -i @a $POOL/fs@b > $streamfile"
+	cat $streamfile | log_must zfs receive $POOL/recvfs
 
 	recv_mntpnt=$(get_prop mountpoint "$POOL/recvfs")
-	log_must $DIFF -r $mntpnt $recv_mntpnt
-	log_must $ZFS destroy -rf $POOL/fs
-	log_must $ZFS destroy -rf $POOL/recvfs
+	log_must diff -r $mntpnt $recv_mntpnt
+	log_must zfs destroy -rf $POOL/fs
+	log_must zfs destroy -rf $POOL/recvfs
 }
 
 test_pool $TESTPOOL
-log_must $TRUNCATE --size=1G $vdev
-log_must $ZPOOL create -o version=1 testpool $vdev
+log_must truncate --size=1G $vdev
+log_must zpool create -o version=1 testpool $vdev
 test_pool testpool
-log_must $ZPOOL destroy testpool
-log_must $ZPOOL create -d testpool $vdev
+log_must zpool destroy testpool
+log_must zpool create -d testpool $vdev
 test_pool testpool
-log_must $ZPOOL destroy testpool
+log_must zpool destroy testpool
 
 
 log_pass "'zfs send' drills appropriate holes"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/cache_002_neg.ksh	Wed Aug 31 16:20:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/cache_002_neg.ksh	Wed Aug 31 16:20:43 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
@@ -53,7 +57,7 @@
 	while (( i < ${#dataset[@]} )); do
 		j=0
 		while (( j < ${#values[@]} )); do
-			log_mustnot $ZFS set $propname=${values[j]} ${dataset[i]}
+			log_mustnot zfs set $propname=${values[j]} ${dataset[i]}
 			(( j += 1 ))
 		done
 		(( i += 1 ))
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/canmount_001_pos.ksh	Wed Aug 31 16:20:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/canmount_001_pos.ksh	Wed Aug 31 16:20:43 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_set/zfs_set_common.kshlib
 
@@ -60,19 +64,19 @@
 function cleanup
 {
 	if snapexists $TESTPOOL/$TESTFS@$TESTSNAP ; then
-		log_must $ZFS destroy -R $TESTPOOL/$TESTFS@$TESTSNAP
+		log_must zfs destroy -R $TESTPOOL/$TESTFS@$TESTSNAP
 	fi
 	if snapexists $TESTPOOL/$TESTVOL@$TESTSNAP ; then
-		log_must $ZFS destroy -R $TESTPOOL/$TESTVOL@$TESTSNAP
+		log_must zfs destroy -R $TESTPOOL/$TESTVOL@$TESTSNAP
 	fi
 
 	[[ -n $old_ctr_canmount ]] && \
-		log_must $ZFS set canmount=$old_ctr_canmount $TESTPOOL/$TESTCTR
+		log_must zfs set canmount=$old_ctr_canmount $TESTPOOL/$TESTCTR
 	[[ -n $old_fs_canmount ]] && \
-		log_must $ZFS set canmount=$old_fs_canmount $TESTPOOL/$TESTFS
+		log_must zfs set canmount=$old_fs_canmount $TESTPOOL/$TESTFS
 
-	$ZFS unmount -a > /dev/null 2>&1
-	log_must $ZFS mount -a
+	zfs unmount -a > /dev/null 2>&1
+	log_must zfs mount -a
 }
 
 log_assert "Setting a valid property of canmount to file system, it must be successful."
@@ -87,10 +91,10 @@
 [[ $? != 0 ]] && \
 	log_fail "Get the $TESTPOOL/$TESTCTR canmount error."
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@$TESTSNAP
-log_must $ZFS snapshot $TESTPOOL/$TESTVOL@$TESTSNAP
-log_must $ZFS clone $TESTPOOL/$TESTFS@$TESTSNAP $TESTPOOL/$TESTCLONE
-log_must $ZFS clone $TESTPOOL/$TESTVOL@$TESTSNAP $TESTPOOL/$TESTCLONE1
+log_must zfs snapshot $TESTPOOL/$TESTFS@$TESTSNAP
+log_must zfs snapshot $TESTPOOL/$TESTVOL@$TESTSNAP
+log_must zfs clone $TESTPOOL/$TESTFS@$TESTSNAP $TESTPOOL/$TESTCLONE
+log_must zfs clone $TESTPOOL/$TESTVOL@$TESTSNAP $TESTPOOL/$TESTCLONE1
 
 for dataset in "${dataset_pos[@]}" ; do
 	for value in "${values[@]}" ; do
@@ -97,11 +101,11 @@
 		set_n_check_prop "$value" "canmount" "$dataset"
 		if [[ $value == "off" ]]; then
 			log_mustnot ismounted $dataset
-			log_mustnot $ZFS mount $dataset
+			log_mustnot zfs mount $dataset
 			log_mustnot ismounted $dataset
 		else
 			if ! ismounted $dataset ; then
-				log_must $ZFS mount $dataset
+				log_must zfs mount $dataset
 			fi
 			log_must ismounted $dataset
 		fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/canmount_002_pos.ksh	Wed Aug 31 16:20:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/canmount_002_pos.ksh	Wed Aug 31 16:20:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -65,8 +65,8 @@
 	while (( i < ${#dataset_pos[*]} )); do
 		ds=${dataset_pos[i]}
 		if datasetexists $ds; then
-			log_must $ZFS set mountpoint=${old_mnt[i]} $ds
-			log_must $ZFS set canmount=${old_canmount[i]} $ds
+			log_must zfs set mountpoint=${old_mnt[i]} $ds
+			log_must zfs set canmount=${old_canmount[i]} $ds
 		fi
 		(( i = i + 1 ))
 	done
@@ -74,24 +74,24 @@
 	ds=$TESTPOOL/$TESTCLONE
 	if datasetexists $ds; then
 		mntp=$(get_prop mountpoint $ds)
-		log_must $ZFS destroy $ds
+		log_must zfs destroy $ds
 		if [[ -d $mntp ]]; then
-			$RM -fr $mntp
+			rm -fr $mntp
 		fi
 	fi
 
 	if snapexists $TESTPOOL/$TESTFS@$TESTSNAP ; then
-		log_must $ZFS destroy -R $TESTPOOL/$TESTFS@$TESTSNAP
+		log_must zfs destroy -R $TESTPOOL/$TESTFS@$TESTSNAP
 	fi
 	if snapexists $TESTPOOL/$TESTVOL@$TESTSNAP ; then
-		log_must $ZFS destroy -R $TESTPOOL/$TESTVOL@$TESTSNAP
+		log_must zfs destroy -R $TESTPOOL/$TESTVOL@$TESTSNAP
 	fi
 
-	$ZFS unmount -a > /dev/null 2>&1
-	log_must $ZFS mount -a
+	zfs unmount -a > /dev/null 2>&1
+	log_must zfs mount -a
 
 	if [[ -d $tmpmnt ]]; then
-		$RM -fr $tmpmnt
+		rm -fr $tmpmnt
 	fi
 }
 
@@ -103,10 +103,10 @@
 typeset tmpmnt=/tmpmount$$
 typeset ds
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@$TESTSNAP
-log_must $ZFS snapshot $TESTPOOL/$TESTVOL@$TESTSNAP
-log_must $ZFS clone $TESTPOOL/$TESTFS@$TESTSNAP $TESTPOOL/$TESTCLONE
-log_must $ZFS clone $TESTPOOL/$TESTVOL@$TESTSNAP $TESTPOOL/$TESTCLONE1
+log_must zfs snapshot $TESTPOOL/$TESTFS@$TESTSNAP
+log_must zfs snapshot $TESTPOOL/$TESTVOL@$TESTSNAP
+log_must zfs clone $TESTPOOL/$TESTFS@$TESTSNAP $TESTPOOL/$TESTCLONE
+log_must zfs clone $TESTPOOL/$TESTVOL@$TESTSNAP $TESTPOOL/$TESTCLONE1
 
 typeset -i i=0
 while (( i < ${#dataset_pos[*]} )); do
@@ -120,25 +120,25 @@
 while (( i < ${#dataset_pos[*]} )) ; do
 	dataset=${dataset_pos[i]}
 	set_n_check_prop "noauto" "canmount" "$dataset"
-	log_must $ZFS set mountpoint=$tmpmnt $dataset
+	log_must zfs set mountpoint=$tmpmnt $dataset
 	if  ismounted $dataset; then
-		$ZFS unmount -a > /dev/null 2>&1
+		zfs unmount -a > /dev/null 2>&1
 		log_must mounted $dataset
-		log_must $ZFS unmount $dataset
+		log_must zfs unmount $dataset
 		log_must unmounted $dataset
-		log_must $ZFS mount -a
+		log_must zfs mount -a
 		log_must unmounted $dataset
 	else
-		log_must $ZFS mount -a
+		log_must zfs mount -a
 		log_must unmounted $dataset
-		$ZFS unmount -a > /dev/null 2>&1
+		zfs unmount -a > /dev/null 2>&1
 		log_must unmounted $dataset
 	fi
 
-	log_must $ZFS mount $dataset
+	log_must zfs mount $dataset
 	log_must mounted $dataset
-	log_must $ZFS set canmount="${old_canmount[i]}" $dataset
-	log_must $ZFS set mountpoint="${old_mnt[i]}" $dataset
+	log_must zfs set canmount="${old_canmount[i]}" $dataset
+	log_must zfs set mountpoint="${old_mnt[i]}" $dataset
 	(( i = i + 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/canmount_003_pos.ksh	Wed Aug 31 16:20:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/canmount_003_pos.ksh	Wed Aug 31 16:20:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,8 +54,8 @@
 	while (( i < ${#dataset_pos[*]} )); do
 		ds=${dataset_pos[i]}
 		if datasetexists $ds; then
-			log_must $ZFS set mountpoint=${old_mnt[i]} $ds
-			log_must $ZFS set canmount=${old_canmount[i]} $ds
+			log_must zfs set mountpoint=${old_mnt[i]} $ds
+			log_must zfs set canmount=${old_canmount[i]} $ds
 		fi
 		(( i = i + 1 ))
 	done
@@ -63,18 +63,18 @@
 	ds=$TESTPOOL/$TESTCLONE
 	if datasetexists $ds; then
 		mntp=$(get_prop mountpoint $ds)
-		log_must $ZFS destroy $ds
+		log_must zfs destroy $ds
 		if [[ -d $mntp ]]; then
-			log_must $RM -fr $mntp
+			log_must rm -fr $mntp
 		fi
 	fi
 
 	if snapexists $TESTPOOL/$TESTFS@$TESTSNAP ; then
-		log_must $ZFS destroy -R $TESTPOOL/$TESTFS@$TESTSNAP
+		log_must zfs destroy -R $TESTPOOL/$TESTFS@$TESTSNAP
 	fi
 
-	$ZFS unmount -a > /dev/null 2>&1
-	log_must $ZFS mount -a
+	zfs unmount -a > /dev/null 2>&1
+	log_must zfs mount -a
 }
 
 log_assert "While canmount=noauto and  the dataset is mounted,"\
@@ -86,8 +86,8 @@
 typeset ds
 typeset pwd=$PWD
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@$TESTSNAP
-log_must $ZFS clone $TESTPOOL/$TESTFS@$TESTSNAP $TESTPOOL/$TESTCLONE
+log_must zfs snapshot $TESTPOOL/$TESTFS@$TESTSNAP
+log_must zfs clone $TESTPOOL/$TESTFS@$TESTSNAP $TESTPOOL/$TESTCLONE
 
 typeset -i i=0
 while (( i < ${#dataset_pos[*]} )); do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/canmount_004_pos.ksh	Wed Aug 31 16:20:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/canmount_004_pos.ksh	Wed Aug 31 16:20:43 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -45,7 +49,7 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rR $CS_FS
+	log_must zfs destroy -rR $CS_FS
 }
 
 function assert_unmounted
@@ -68,21 +72,21 @@
 oldmpt=$TESTDIR/old_cs_fs.$$
 newmpt=$TESTDIR/new_cs_fs.$$
 
-log_must $ZFS create -o canmount=noauto -o mountpoint=$oldmpt $CS_FS
+log_must zfs create -o canmount=noauto -o mountpoint=$oldmpt $CS_FS
 assert_unmounted
 
 for n in ${sharenfs_prop[@]}; do
-	log_must $ZFS set sharenfs="$n" $CS_FS
+	log_must zfs set sharenfs="$n" $CS_FS
 	assert_unmounted
 	for s in ${sharesmb_prop[@]}; do
-		log_must $ZFS set sharesmb="$s" $CS_FS
+		log_must zfs set sharesmb="$s" $CS_FS
 		assert_unmounted
 
 		mntpt=$(get_prop mountpoint $CS_FS)
 		if [[ "$mntpt" == "$oldmpt" ]]; then
-			log_must $ZFS set mountpoint="$newmpt" $CS_FS
+			log_must zfs set mountpoint="$newmpt" $CS_FS
 		else
-			log_must $ZFS set mountpoint="$oldmpt" $CS_FS
+			log_must zfs set mountpoint="$oldmpt" $CS_FS
 		fi
 		assert_unmounted
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/mountpoint_001_pos.ksh	Wed Aug 31 16:20:43 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/mountpoint_001_pos.ksh	Wed Aug 31 16:20:43 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -59,10 +59,10 @@
 
 function cleanup
 {
-	log_must $ZFS set mountpoint=$old_ctr_mpt $TESTPOOL/$TESTCTR
-	log_must $ZFS set mountpoint=$old_fs_mpt $TESTPOOL/$TESTFS
-	[[ -d $TESTDIR2 ]] && log_must $RM -r $TESTDIR2
-	[[ -d $TESTDIR_NOTEXISTING ]] && log_must $RM -r $TESTDIR_NOTEXISTING
+	log_must zfs set mountpoint=$old_ctr_mpt $TESTPOOL/$TESTCTR
+	log_must zfs set mountpoint=$old_fs_mpt $TESTPOOL/$TESTFS
+	[[ -d $TESTDIR2 ]] && log_must rm -r $TESTDIR2
+	[[ -d $TESTDIR_NOTEXISTING ]] && log_must rm -r $TESTDIR_NOTEXISTING
 }
 
 log_assert "Setting a valid mountpoint to file system, it must be successful."
@@ -76,7 +76,7 @@
 	log_fail "Get the $TESTPOOL/$TESTCTR mountpoint error."
 
 if [[ ! -d $TESTDIR2 ]]; then
-	log_must $MKDIR $TESTDIR2
+	log_must mkdir $TESTDIR2
 fi
 
 typeset -i i=0
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/mountpoint_002_pos.ksh	Wed Aug 31 16:20:44 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_set/mountpoint_002_pos.ksh	Wed Aug 31 16:20:44 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,11 +54,11 @@
 
 function cleanup
 {
-	log_must $ZFS set mountpoint=$old_ctr_mpt $TESTPOOL/$TESTCTR
-	log_must $ZFS set mountpoint=$old_fs_mpt $TESTPOOL/$TESTFS
-	log_must $ZFS mount -a
-	[[ -d $TESTDIR2 ]] && log_must $RM -r $TESTDIR2
-	[[ -d $TESTDIR_NOTEXISTING ]] && log_must $RM -r $TESTDIR_NOTEXISTING
+	log_must zfs set mountpoint=$old_ctr_mpt $TESTPOOL/$TESTCTR
+	log_must zfs set mountpoint=$old_fs_mpt $TESTPOOL/$TESTFS
+	log_must zfs mount -a
+	[[ -d $TESTDIR2 ]] && log_must rm -r $TESTDIR2
+	[[ -d $TESTDIR_NOTEXISTING ]] && log_must rm -r $TESTDIR_NOTEXISTING
 }
 
 log_assert "Setting a valid mountpoint for an unmounted file system, \
@@ -73,7 +73,7 @@
 	log_fail "Unable to get the mountpoint property for $TESTPOOL/$TESTCTR"
 
 if [[ ! -d $TESTDIR2 ]]; then
-	log_must $MKDIR $TESTDIR2
+	log_must mkdir $TESTDIR2
 fi
 
 typeset -i i=0
@@ -81,7 +81,7 @@
 while (( i < ${#dataset[@]} )); do
 	j=0
 	if ismounted ${dataset[i]} ; then
-		log_must $ZFS unmount ${dataset[i]}
+		log_must zfs unmount ${dataset[i]}
 	fi
 	log_mustnot ismounted ${dataset[i]}
 	while (( j < ${#values[@]} )); do
